package com.xunwang.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xunwang.education.entity.MySuggestion;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;

/**
 * @Author: Yl
 * @Date: 2023/1/3 10:59
 */
public interface MySuggestionService extends IService<MySuggestion> {

    /**
     * 查询个人的所有建议列表
     * @param request
     * @return
     */

    //没有分页的个人建议列表
    List<MySuggestion> findPersonAdvise(HttpServletRequest request);

    //分页的个人建议列表
   // HashMap<String,Object> findPersonAdvise(HttpServletRequest request);


    HashMap<String,Object> findAllAdvise(HttpServletRequest request);


    boolean handleAdvise(MySuggestion mySuggestion,HttpServletRequest request);

    boolean handlingAdvise(MySuggestion mySuggestion, HttpServletRequest request);
}
